/**
 * Send a message from the worker to the parent window
 *
 * @param message - Message
 * @param origin - Target origin
 */
export declare function postMessage(message: any, origin: string): void;
/**
 * Import one or more scripts into the worker's scope
 *
 * Note that due to JavaScript's event-driven nature `importScripts` cannot be
 * synchronous. For this reason, we diverge from the official spec here and
 * return a `Promise`, which is fulfilled when the scripts have loaded. The
 * caller can `await` the `Promise` to ensure that the scripts have loaded.
 *
 * @param urls - Script URLs to import
 *
 * @returns Promise returning with no result
 */
export declare function importScripts(...urls: string[]): Promise<void>;
//# sourceMappingURL=index.d.ts.map